Main Page Groups Namespaces

# sigc::internal::slot_call0< T_functor, T_return > Struct Template Reference

Abstracts functor execution. More...

List of all members.

## Static Public Member Functions

static T_return | call_it (slot_rep* rep)
| Invokes a functor of type `T_functor`.
static hook | address ()
| Forms a function pointer from call_it().

## Detailed Description

### template <class T_functor, class T_return>
struct sigc::internal::slot_call0< T_functor, T_return >

Abstracts functor execution.

call_it() invokes a functor of type T_functor with a list of parameters whose types are given by the template arguments. address() forms a function pointer from call_it().

The following template arguments are used:

- T_functor The functor type.
- T_return The return type of call_it().

## Member Function Documentation

template <class T_functor, class T_return>
static hook sigc::internal::slot_call0<T_functor, T_return>::address | ( |  | ) | `[inline, static]`

Forms a function pointer from call_it().

Returns:
  A function pointer formed from call_it().

template <class T_functor, class T_return>
static T_return sigc::internal::slot_call0<T_functor, T_return>::call_it | ( | slot_rep* | rep | ) | `[inline, static]`

Invokes a functor of type `T_functor`.

Parameters:

  | rep | slot_rep object that holds a functor of type `T_functor`.

Returns:
  The return values of the functor invocation.

The documentation for this struct was generated from the following file:

- functors/slot.h